Bug 245408 - ntpdate man page out of date
ntpdate man page out of date
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ntp (Show other bugs)
4.4
All Linux
low Severity low
: ---
: ---
Assigned To: Miroslav Lichvar
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-22 17:37 EDT by Matthew Booth
Modified: 2008-07-24 15:34 EDT (History)
0 users

See Also:
Fixed In Version: RHBA-2008-0678
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:34:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Booth 2007-06-22 17:37:22 EDT
Description of problem:
I noticed that the ntpdate performed by ntp's init script against a hardware NTP
appliance always failed. The appliance uses version 3 of the NTP protocol. The
man page for ntpdate says:

       -o version
               Specify  the  NTP  version  for outgoing packets as the integer
               version, which can be 1 or 2. The default  is  3.  This  allows
               ntpdate to be used with older NTP versions.

When I modified the script to call 'ntpdate -o 3' it worked just fine. According
to the man page, that should have been a no-op. I'm guessing that the default is
now version 4, but the manpage never got updated.

Version-Release number of selected component (if applicable):
Originally spotted in RHEL 4 U4 (don't have version number to hand)
Confirm man page is the same in ntp-4.2.2p1-5.el5.i386
Comment 1 Miroslav Lichvar 2007-06-25 08:17:38 EDT
Yes, default is 4, the man page should be fixed.
Comment 2 RHEL Product and Program Management 2007-11-28 23:18:34 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 8 errata-xmlrpc 2008-07-24 15:34:27 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0678.html

Note You need to log in before you can comment on or make changes to this bug.